Controls
List a control's tests
List a control’s tests.
GET
/
controls
/
{controlId}
/
tests
List a control's tests
curl --request GET \
--url https://api.vanta.com/v1/controls/{controlId}/tests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/controls/{controlId}/tests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/controls/{controlId}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "aws-account-access-removed-on-termination",
"name": "AWS accounts deprovisioned when personnel leave",
"lastTestRunDate": "2024-06-18T20:17:38.463Z",
"latestFlipDate": null,
"description": "Verifies that AWS accounts linked to removed users are removed.\n",
"failureDescription": "Some AWS accounts associated with terminated personnel have not been deactivated.",
"remediationDescription": "Remove all accounts listed from AWS.\n",
"version": {
"major": 0,
"minor": 0
},
"category": "Account security",
"integrations": [
"aws"
],
"status": "OK",
"deactivatedStatusInfo": {
"isDeactivated": false,
"deactivatedReason": null,
"lastUpdatedDate": null
},
"remediationStatusInfo": {
"status": "PASS",
"soonestRemediateByDate": null,
"itemCount": 0
},
"owner": null
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "1",
"endCursor": "1"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List a control's tests
